#!/usr/bin/env node
'use strict';

let program = require('commander'),
	prompt = require('prompt'),
	fs = require( 'fs' ),
    stat = fs.stat,
    path = require('path'),
    copy = require('../lib/copy'),
    shell = require('../lib/process'),
    setOptions = require('../lib/setOption'),
    getOptions = require('../lib/options')
let wdngDir = path.join(__dirname,"..");
let projectDir = process.cwd();
prompt.start();
prompt.get(getOptions, function (err, result) {
    //获取参数
    let projectName = result.projectName;
    console.log(`项目名称:${ projectName }`);
    console.log("拉取模板");
    if(result.useCommon.toLocaleLowerCase() == "y"){
        shell.svn();
    }
    if(projectName){
        copy(wdngDir+"/template/project/",projectDir+"/"+projectName+"/");
        setTimeout(() => {
            setOptions(projectDir+"/"+projectName+"/package.json",result);
            setOptions(projectDir+"/"+projectName+"/config/config.local.js",result);
            setOptions(projectDir+"/"+projectName+"/src/entry.js",result);
            setOptions(projectDir+"/"+projectName+"/src/index.html",result);
            setOptions(projectDir+"/"+projectName+"/README.md",result);
        },500)
    }
    else{
        copy(wdngDir+"/template/project/",projectDir);
        setOptions(projectDir+"/package.json",result);
    }
    console.log("拉取模板完成");

  });