import discountIndex from './scripts/controllers/discountIndex';
import discountSet from './scripts/controllers/discountSet';
import discountEdite from './scripts/controllers/discountEdite';
import datePicker from './scripts/directive/datePicker';
import checkbox from './scripts/directive/checkbox';
import itemListSearch from './scripts/directive/item-list-search';
import discountSetService from './scripts/services/discountSetService';
import inputCheck from './scripts/services/inputCheck';
import dataService from './scripts/services/dataService';
import dataFilter from './scripts/filter/dataFilter';
import { FormatItemName,timeTransform} from './scripts/filter/htmlDecode'
angular.module('cpc.discount', ['ui.router','ngCookies','ui.bootstrap'])
    .controller('discountIndex',discountIndex)
    .controller('discountSet',discountSet)
    .controller('discountEdite',discountEdite)
    .service('discountSetService',discountSetService)
    .service('dataService',dataService)
    .service('inputCheck',inputCheck)
    .directive( 'datePicker', datePicker )
    .directive( 'checkbox', checkbox )
    .directive( 'itemListSearch', itemListSearch )
    .filter( 'dataFilter', dataFilter )
    .filter( 'FormatItemName', FormatItemName )
    .filter( 'timeTransform', timeTransform )
    .config([
        '$stateProvider',
        '$urlRouterProvider',
        ($stateProvider, $urlRouterProvider) => {
            $stateProvider.state('discount.index', {
                url: '/index',
                views: {
                    'content': {
						templateUrl : './discount/views/index.php',
                        controller: 'discountIndex as ctrl'
                    }
                }
            }).state('discount.set', {
                url: '/set',
                views: {
                    'content': {
                        templateUrl : './discount/views/set.php',
                        controller: 'discountSet as ctrl'
                    }
                }
            }).state('discount.edite', {
                url: '/edite?activity_id',
                views: {
                    'content': {
                        templateUrl : './discount/views/set.php',
                        controller: 'discountEdite as ctrl'
                    }
                }
            })
        }
    ])
