const MODULE_ID = '{{projectName}}'

const SRC_BASE_DIR = 'src/'

const ENTRY_HTML = 'src/index.html'

const CDN_PATH = 'https://s.geilicdn.com/CPC/'

const BUILD_BASE_DIR = {
    development: 'build/development/',
    production: 'build/production/',
    test: 'build/test/'
}

const REPLACE = {
    development: {
        ENV: 'development',
        API_PROXY: 'http://gw.development.weidian.com/h5'

    },
    test: {
        ENV: 'test',
        API_PROXY: 'http://gw.test_TEST_NUM_.weidian.com/h5'
    },
    production: {
        ENV: 'production',
        API_PROXY: 'http://gw.production.weidian.com/h5'
    }
}
export default function(env, testNum) {
    this.module_id = MODULE_ID
    this.env = env
    this.replace = [];
    for (let i in REPLACE[env]) {
        let replace = REPLACE[env]
        let query = {};
        query.search = new RegExp("_" + i + "_", 'g');
        query.replace = ((replace[i] + "").replace(/_TEST_NUM_/g, testNum));
        this.replace.push(query);
    }
    this.src_base_dir = SRC_BASE_DIR
    this.build_base_dir = BUILD_BASE_DIR[env]
    this.entry_html = ENTRY_HTML
}